Not updated for Firefox 14.0.1 yet Rated 5 out of 5 stars

Just installed the latest Firefox version (14.0.1) to find out that i can't install this extension because it's not compatible, too bad, now i miss big amount of my passwords.

Wondering how soon will it be compatible with Firefox 14.0.1?

Thanks.